Relyt Console API
API docs v2.0.0
The Relyt Console API covers organization, project, compute and database management.
Download OpenAPI specBase URL
https://relyt.one/api/v1Send your API key in the x-api-key header on every request. Create a key in the console; the examples use the placeholder YOUR_API_KEY.
GET
/organizationsList organizations
List the organizations the user can access
cURL example
curl -X GET "https://relyt.one/api/v1/organizations" \ -H "x-api-key: YOUR_API_KEY"
GET
/organizations/{slug}Get organization
Get organization details by slug
cURL example
curl -X GET "https://relyt.one/api/v1/organizations/YOUR_SLUG" \ -H "x-api-key: YOUR_API_KEY"
PATCH
/organizations/{slug}Update organization
Update the organization's basic information
cURL example
curl -X PATCH "https://relyt.one/api/v1/organizations/YOUR_SLUG" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"my-name","description":"my-description"}'